# DataExchange
TKVRML
VrmlData

# VrmlData_Normal Class Reference

`#include <VrmlData_Normal.hxx>`

Inheritance diagram for VrmlData_Normal:

[legend]

## Public Member Functions

| VrmlData_Normal ()
| VrmlData_Normal (const VrmlData_Scene &theScene, const char *theName, const size_t nVec=0, const gp_XYZ *arrVec=0L)
const gp_XYZ & | Normal (const Standard_Integer i) const
virtual Standard_EXPORT | Handle (VrmlData_Node) Clone(const Handle(VrmlData_Node)&theOther) const
virtual Standard_EXPORT VrmlData_ErrorStatus | Read (VrmlData_InBuffer &theBuffer)
virtual Standard_EXPORT VrmlData_ErrorStatus | Write (const char *thePrefix) const

## Detailed Description

Implementation of the node Normal

## Constructor & Destructor Documentation

VrmlData_Normal::VrmlData_Normal | ( |  | ) | `[inline]`

| Empty constructor

VrmlData_Normal::VrmlData_Normal | ( | const VrmlData_Scene & | theScene,
|  | const char * | theName,
|  | const size_t | nVec = `0`,
|  | const gp_XYZ * | arrVec = `0L`
| ) | `[inline]`

| Constructor

## Member Function Documentation

virtual Standard_EXPORT VrmlData_Normal::Handle | ( | VrmlData_Node |  | ) | const`[virtual]`

| Create a copy of this node. If the parameter is null, a new copied node is created. Otherwise new node is not created, but rather the given one is modified. Reimplemented from VrmlData_Node.

const gp_XYZ& VrmlData_Normal::Normal | ( | const Standard_Integer | i | ) | const`[inline]`

Query one normal

Parameters:

  | i | index in the array of normals [0 .. N-1]

Returns:
  the normal value for the index. If index irrelevant, returns (0., 0., 0.)

virtual Standard_EXPORT VrmlData_ErrorStatus VrmlData_Normal::Read | ( | VrmlData_InBuffer & | theBuffer | ) | `[virtual]`

| Read the Node from input stream. Implements VrmlData_Node.

virtual Standard_EXPORT VrmlData_ErrorStatus VrmlData_Normal::Write | ( | const char * | thePrefix | ) | const`[virtual]`

| Write the Node to the Scene output. Reimplemented from VrmlData_Node.

The documentation for this class was generated from the following file:

- VrmlData_Normal.hxx